clear all; close all; clc;

% Signal
N=1e4;
moy_theo=2;
amp=1;
t=linspace(0,4*pi,N);
s_n=amp*sin(t)+moy_theo;

% Bruit 
s_b=1e-1*rand(1, N); 

% Signal + Bruit 
s_n=s_n+s_b; 

% Calcul de la moyenne
Moy_cal=0;
for i=1:N
    Moy_cal=Moy_cal+s_n(i);
end
Moy_cal=Moy_cal/N;
Moy_sig=Moy_cal*ones(1,N);

% Ereur
Err=moy_theo-Moy_cal
Err=1e2*Err*ones(1, N);

% Affichage
h=plot(t,s_n,t,Moy_sig,t,Err , 'LineWidth',4); grid on;
xlim([t(1) t(end)])
legend('Signal s(n)','Moyenne (s(n))','10E2 x Erreur');
% set(h(1),'linewidth',5);
% set(h(2),'linewidth',10);