clear all; close all; clc;

% Signal
num_itte=1e4;
moy_theo=2;
amp=1;
t=linspace(0,100*pi,num_itte);
s_n=amp*sin(t)+moy_theo;

% Bruit
s_b=1e-1*rand(1, num_itte);

% Signal + Bruit
s_n=s_n+s_b;

% Calcul de la moyenne glissante
Moy_gliss=zeros(1,num_itte);
% Taille=256;
% Taille=512;
% Taille=1024;
Taille=2048;

j=1;
Tab=zeros(1,Taille);
for i=1:num_itte
    % Cacul de  la moyenne
    Tab(j)=s_n(i);
    Moy_gliss(i)= mean(Tab); % Moyenne Tab
    
    % Mise  jour de l'indice
    j=j+1;
    j=mod(j,Taille);
    if j==0
        j=1;
    end
end

% Calcul de l'erreur
Err=moy_theo-Moy_gliss;

% Affichage
subplot(211);
h=plot(t,s_n,t,Moy_gliss, 'LineWidth',2); grid on;
xlim([1 t(end)])
legend('Signal s(n)','Moyenne (s(n))');
title('N=2048');

subplot(212);
h=plot(t,Err, 'LineWidth',2); grid on;
xlim([t(1) t(end)])
legend('Erreur');
title('N=2048');
